Subject: [dnsop] draft DNSOP minutes for IETF 61

From: David Meyer <[email-masked]>
Date: Mon, 22 Nov 2004 07:38:34 -0800

Thanks to Peter for the excellent minutes.

	Dave

----
=============================================================================
DNSOP WG, IETF 61, "International E", 2004-11-08, 1300-1400
=============================================================================

Chairs: Rob Austein
	Dave Meyer

Scribe:	Peter Koch

=============================================================================

1300	Administrivia

	Rob Austein points to the action item tracking system and encourages
	the wg to watch this. Please see
	https://rt.psg.com/Search/Listing.html?ValueOfStatus=open&ValueOfStatus=new&Stat+usOp=%3D&QueueOp=%3D&ValueOfQueue=42&RowsPerPage=50&NewSearch=1 

	Agenda is accepted without changes: walk through on current,
	expired and potentially new WG documents

-----------------------------------------------------------------------------

1307	draft-ietf-dnsop-dnssec-operational-practices-02.txt
	Olaf Kolkman

	Targets Informational, not BCP, since we are still lacking 'P'
	as in 'Practice'.
	Editor asks chairs to issue WGLC (== Working Group Last Call)

ACTION: Chairs: issue WGLC

-----------------------------------------------------------------------------

1309	draft-ietf-dnsop-inaddr-required-05.txt
	Author/Editor not present

	Several people express concerns regarding the normative language.
	Pekka Savola advocates for another editing round
	The sense of the room is, that the next version may be ready
	  for WGLC

ACTION: Daniel Senie:	await and incorporate comments for next version
	ALL:		read and comment

-----------------------------------------------------------------------------

1311	draft-ietf-dnsop-ipv6-dns-issues-10.txt

	Pekka Savola gives a status report, draft is mainly addressing
	comments by Thomas Narten & IESG

-----------------------------------------------------------------------------

1313	draft-ietf-dnsop-ipv6-transport-guidelines-02.txt

	Published as RFC 3901 "DNS IPv6 Transport Operational Guidelines"

-----------------------------------------------------------------------------

1313	draft-ietf-dnsop-key-rollover-requirements-01.txt

	Francis Dupont: expects another version, problem with early I-D
		deadline

	Olaf Kolkman: requirements are relatively straight forward, an I-D
		looks overkill; hard to make it more detailed than it is,
		but it's so minimal that at the same time it is difficult
		to make it useful

	Francis Dupont: suggest WGLC for next version

	Sam Weiler: there are requirements in I consider bad or inconsistent,
		this is not yet ready for publication

	Olaf Kolkman: how can we get more input?

	Rip Loomis: usually, if I think it's bad, would offer a competing
		draft; think it is needed, but not sure current structure
		is OK, no offense to the author
	
	Ted Lemon: reason for low feedback is there's low DNSSEC deployment ...

ACTION: Editor:	send new version to I-D archive
	All:	read and send feedback

-----------------------------------------------------------------------------

1320	draft-ietf-dnsop-misbehavior-against-aaaa-02.txt
	[[Morishita Orange Yasuhiro]]

	passed wglc, rev 02 in response to IESG comments
	
	should be ready for publication

	presents related activity to solve problem
	http://v6fix.net

	Jaap Akkerhuis: David Mallone presented related work to the RIPE
		DNS WG which is WG action item
	Yasuhiro: we're already talking to each other

ACTION: Chairs: pass to AD/IESG

-----------------------------------------------------------------------------

1325	draft-ietf-dnsop-serverid-02.txt
	Suzanne Wolff

	no progress since last meeting
	will send reminder to wg mailing list
	DNSEXT will only take it up if req's are clear
	hope to be able to request WG Last Call soon

	think there's part of the community very interested, but 
	would be more comfortable with more feedback

ACTION: Suzanne Wolff:	issue new version
	All:	read and send feedback

-----------------------------------------------------------------------------

1327	draft-ietf-dnsop-bad-dns-res-03.txt

	Matt Larson: we passed WG Last Call, I guess, but wouldn't hurt to
	   Last Call it again

ACTION:	Chairs:	issue WGLC
	All:	read and send feedback

-----------------------------------------------------------------------------

1328	draft-ietf-dnsop-respsize-01.txt

	Akira Kato:	no more feedback received since San Diego meeting
	Olaf Kolkman:	there's an "easter egg" in there Paul Vixie mentioned				  in San Diego (found it, but don't disclose)
	Rob Austein:	fear to have this conversation in Minneapolis again
			can we try WGLC?

ACTION: Chairs: issue WGLC
	All:	read and send feedback

-----------------------------------------------------------------------------

1330	draft-ietf-dnsop-resolver-rollover-01.txt

	Olaf Kolkman: work has been taken over in DNSEXT

	There was no objection removing this draft off the DNSOP
	 document queue

ACTION: Chairs: remove document from WG's active documents list

-----------------------------------------------------------------------------

1331	draft-ietf-dnsop-ohta-shared-root-server-03.txt
	Author/Editor not present

	Suzanne: has been overtaken by events

	There was no objection removing this draft off the DNSOP
	 document queue -- unless author brings it back

ACTION: Chairs: remove document from WG's active documents list

-----------------------------------------------------------------------------

1333	draft-ietf-dnsop-dontpublish-unreachable-03.txt
	(expired since October 2002)
	Author/Editor not present

	George [[APNIC]]: hear gossip from other WGs, where they want
		[[do not want]] to use addresses under consideration in the
		draft
	Alain Durand:	think we need to publish this

	It turns out that the author/current editor has no more time, so
	if the WG wants to proceed with the draft, it needs a new editor

	Johan Ihren:	the document is about uniqueness vs ambiguity,
			  not (un)reachability
	Dave Meyer:	understand George that there are cross WG issues here?
			  maybe can find author there?

ACTION: Chairs: find and appoint new editor

-----------------------------------------------------------------------------

1337	draft-yasuhiro-dnsop-increasing-dns-server-01.txt
	Yasuhiro Orange Morishita

	Orange:	We need some testing.

	Authors will update draft, after that will decide whether to ask WG
	  for adoption.

ACTION: Chairs: await note from author
	All:	read and send feedback

-----------------------------------------------------------------------------

1338	draft-fujiwara-dnsop-bad-dns-auth-01.txt
	Kazunori Fujiwara

	Presentation available at [[please provide for URL]]
	[[alternative source may be http://www.nanog.org/mtg-0410/toyama.html]]

	Caching servers/resolvers suffer from authoritative servers,
	  which cannot be reached via tcp/53 due to lack of service
	  or restrictive port/packet filters

	Suggests EDNS0 (esp. packet size option) be supported on every
	  authoritative server if zone tends to produce answers not
	  fitting into 512 octet response packet.

	Also suggests modification to DNS resolving algorithm to mitigate
	  otherwise insoluble truncation problem

	Author agrees to split draft into two separate I-Ds

	Mark Kosters:	needs to be split, agreed
	Rip Loomis:	the fact that DNS over TCP is mandatory needs to be
			  made more widely known

	Peter Koch:	extend documentation to opposite problem, auth servers
			  suffering from bad path config and SYN flood

	There were no objections or concerns to adopt subsequent split
	I-D pair as WG items.

ACTION: Chairs: await note from author
	Author:	split and resubmit 

-----------------------------------------------------------------------------

1354	draft-ietf-dnsop-ipv6-dns-configuration-04.txt

	David Kessens, AD: The draft is under IESG consideration,
		no agreement within IESG either, will look at it at the
		next IESG telechat

-----------------------------------------------------------------------------

1357	AOB

	Rip Loomis asks whether there is any interest in updating
	RFC 2541 (DNS Security Operational Considerations). The original
	author could act as reviewer, but does not have the resources
	to lead the update.

	Although several attendees remember to have read the RFC, there's
	no clear opinion. Attendees ask for time for review.

ACTION: Olaf Kolkman: Review RFC 2541 and suggest modifications in the
	  light of draft-ietf-dnsop-dnssec-operational-practices

-----------------------------------------------------------------------------

14:00	end of session

.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html